public class MathConv{
	
	private MathConv(){}
	
	// degをradに変換
	public static Double degToRad(Double deg) {
		Double rad = Math.toRadians(deg);
		return rad;
	}

	// -180~180を0~360に
	public static Double changeRound(Double deg) {
		if (Math.signum(deg) == -1) {
			deg = deg + 360;
		}
		return deg;
	}
	
	// Null値を0.0に変換
	public static Double nullTo0(Double value) {
		if (value == null) {
			value = 0.0;
		}
		return value;
	}

	// Null値をNANに変換
	public static double nullToNan(Double value) {
		if (value == null) {
			value = Double.NaN;
		}
		return value;
	}
}